Get activity counts for your organization

gethttps://api.expiryedge.com/v1/getActivityStats
any role60/minJede Methode
Anfrage
curl 'https://api.expiryedge.com/v1/getActivityStats?days=30' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Antwort
{
  "stats": {
    "total_activities": 57,
    "by_type": {
      "created": 20,
      "updated": 31,
      "deleted": 6
    },
    "by_entity": {
      "expiry": 44,
      "contact": 13
    },
    "by_user": {
      "Priya Shah": 40,
      "Tom Becker": 17
    },
    "recent_activities": []
  }
}

Counts over the last days days (default 7, clamped to 1-365) by activity type, entity type and user name. recent_activities is always empty. A query organization_id is ignored.

Query-Parameter

  • daysinteger
    Standard 7min: 1 · max: 365

Rückgabe

200
Activity statistics.
  • statsobject

Fehler

401
Missing, expired or invalid bearer token.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.
500
Unexpected server error. Retry later; quote requestId to support.